%define major   0
%define libname %mklibname dlna %major
%define develname %mklibname -d dlna

Summary: Implementation of DLNA (Digital Living Network Alliance)
Name: libdlna
Version: 0.2.4
Release: %mkrel 2
Source0: http://libdlna.geexbox.org/releases/%{name}-%{version}.tar.xz
Patch0: libdlna-0.2.4-mga-ffmpeg-2.4.patch
Patch1: libdlna-ffmpeg3.patch
License: LGPLv2+
Group: System/Libraries
Url: http://libdlna.geexbox.org/
BuildRequires: ffmpeg-devel

%description
libdlna aims at being the reference open-source implementation of DLNA
(Digital Living Network Alliance) standards.
Its primary goal is to provide DLNA support to uShare, an embedded DLNA &
UPnP A/V Media Server, but it will be used to build both DLNA servers
and players in the long term.

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{develname}
Summary:        Header files and static libraries from %name
Group:          Development/Libraries
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %name-devel < %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%package doc
Summary:        Docs for %name
Group:          Documentation
BuildArch: noarch

%description doc
Doc files for %name.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-static --enable-shared
make

%install
rm -rf %buildroot
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*pc

%files doc
%doc AUTHORS COPYING ChangeLog README

%changelog
* Sat Mar 11 2017 bb2 <bb2> - 0.2.4-2pclos2017
- update for new ffmpeg

* Fri May 27 2016 bb <bb> 0.2.4-1pclos2016
- update

